--- title: "ListDcvStatuses" slug: "security-certificatemanager-listdcvstatuses" updated: 2026-10-08T04:18:39Z published: 2026-10-08T04:18:39Z canonical: "api.ncloud-docs.com/security-certificatemanager-listdcvstatuses" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # ListDcvStatuses Available in Classic and VPC Get the certificate domain control (DCV) status. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/certificate/getVerificationInfo/{certificateNo} | ### Request headers For information about the request headers common to all Certificate Manager APIs, see [Certificate Manager request headers](/docs/en/security-certificatemanager#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `certificateNo` | Integer | Required | Certificate number | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `domainAddress` | String | Required | Validation target domain (FQDN) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/getVerificationInfo/55332?domainAddress=ncloud.com \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `returnCode` | String | - | Response code | | `returnMessage` | String | - | Response message | | `totalRows` | Integer | - | Total number of lists searched | | `dnsVerificationCount` | Integer | - | Number of DNS TXT record-based domain validation requests | | `dnsVerificationList` | Array | - | DNS TXT record-based domain validation request list: [dnsVerificationList](/docs/en/security-certificatemanager-listdcvstatuses#dnsVerificationList) | | `emailVerificationCount` | Integer | - | Number of email-based domain validation requests | | `emailVerificationList` | Array | - | List of email-based domain validation requests | #### `dnsVerificationList` The following describes `dnsVerificationList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `validSn` | Integer | - | Validation history identifier | | `requestSn` | String | - | Unique request identifier | | `validStatusCode` | String | - | Validation status code - `VALID_STATUS_SUCCESS` \| `VALID_STATUS_REG` \| `VALID_STATUS_TIMEOUT` - `VALID_STATUS_SUCCESS`: Validation completed - `VALID_STATUS_REG`: Validation in progress - `VALID_STATUS_TIMEOUT`: Validation timeout | | `txtName` | String | - | DNS TXT record name | | `txtValue` | String | - | DNS TXT record value (random value) | | `txtId` | Integer | - | DNS TXT record identifier | | `validYn` | String | - | Validation completion - `Y` \| `N` - `Y`: Validation completed - `N`: Not validated | | `registDate` | String | - | Validation request registration date and time - yyyy-MM-dd HH:mm:ss (UTC+09:00) format | | `validDate` | String | - | Validation completion date and time - yyyy-MM-dd HH:mm:ss (UTC+09:00) format | ### Response status codes For information about the response status codes common to all Certificate Manager APIs, see [Certificate Manager response status codes](/docs/en/security-certificatemanager#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "returnCode": "0", "returnMessage": "Success", "totalRows": 1, "dnsVerificationCount": 1, "dnsVerificationList": [ { "validSn": 30001, "requestSn": "a1b2c3d4e5f6478899aa00bbccddeeff", "validStatusCode": "VALID_STATUS_SUCCESS", "txtId": 1, "txtName": "_dnsvalidation.example.com", "txtValue": "_abc123def456ghi789jkl012mno345pqr678stu901vwx234yz", "validYn": "Y", "registDate": "2026-02-01 10:00:00", "validDate": "2026-02-01 10:01:15" } ] } ```